CREATE 
    EVENT `time_weighted_aggregate_daily`
    ON SCHEDULE EVERY 1 DAY STARTS '2025-02-01 04:10:00' 
    ON COMPLETION PRESERVE
    DO CALL time_weighted_aggregate_day(DATE_SUB(CURRENT_DATE(), INTERVAL 1 DAY));

CREATE 
    EVENT `difference_daily`
    ON SCHEDULE EVERY 1 DAY STARTS '2025-02-01 04:20:00' 
    ON COMPLETION PRESERVE
    DO CALL difference_day(DATE_SUB(CURRENT_DATE(), INTERVAL 1 DAY));
